
package de.ivu.elect.presentation.wahlbeteiligung.menu;

import java.util.List;

import javax.inject.Inject;

import de.ivu.elect.jee.presentation.menu.AbstractSubMenuEntry;
import de.ivu.elect.jee.presentation.menu.MenuEntry;

public class WahlbeteiligungMainMenuEntry extends AbstractSubMenuEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlbeteiligungPageMenu wahlbeteiligungPageMenu;

  public WahlbeteiligungMainMenuEntry() {
    super();
  }

  @Override
  protected List<MenuEntry> getSubMenuEntriesSorted() {
    return wahlbeteiligungPageMenu.getMenuEntriesSorted();
  }

  @Override
  public String getLabelKey() {
    return "wahlbeteiligung.main.menu.item";
  }
}
